delp(1)

NAME
delp - The Free Pascal file deletion tool.

SYNOPSIS

delp [options] directory

DESCRIPTION

delp deletes files in the specified directory that are left over from a Free Pascal compilation process. It knows what files can be produced by the compile steps and deletes any such files it finds. At the end it gives a summary of the number of files that were deleted, together with the amount of bytes freed by this process.

USAGE

delp takes the following options at this time:

-e  Delete all executable files as well. This option has no effect on Linux.

-h  Displays a short help message.

-q  Be more quiet. Normally, delp gives a count of the number of files deleted. If this option is given, no messages are displayed.

FILE TYPES:
The following file types are recognized by the program and are deleted:

*.exe
    Executable files under dos and windows. Only deleted if the -e option is given.

*.so *.dll
    Shared libraries under linux and Windows.

*.tpu *.tpp *.tpw *.tr
    Turbo Pascal compiled units.

*.log *.bak
    Backup files and log files.

*.ppu *.o *.a *.s
    Compiled units, object files, archives and assembler files created by the Free Pascal compiler on Linux or Dos

*.ppw *.ow *.aw *.sw
    Compiled units, object files, archives and assembler files created by the Free Pascal compiler on Windows.

*.pp1 *.o1 *.a1 *.s1
    Compiled units, object files, archives and assembler files created by the Free Pascal compiler on the go321v1 platform.

*.ppo *.oo *.ao *.so
    Compiled units, object files, archives and assembler files created by the Free Pascal compiler on the OS/2 platform.

ppas.bat ppas.sh link.res fpcmaked
    Batch files, link script and makefile utility files.

SEE ALSO

    fpcmake(1) ppc386(1) make(1)